package com.ruoyi.ehsIndexStatistics.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 隐患信息
 *
 * @author: 马腾达
 * @date: 2023年12月14日 17:03
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
public class HiddenDangerVo extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 隐患内容
     */
    private String hiddenDangerDesc;

    /**
     * 单位名称
     */
    private String enterpriseName;

    /**
     * 隐患类别
     */
    private String hiddenDangerType;

    /**
     * 隐患级别
     */
    private String hiddenDangerGrade;

    /**
     * 排查出隐患日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    /**
     * 整改期限
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rectifyTermTime;

    /**
     * 整改责任人
     */
    private String principalName;
    /**
     * 整改情况
     */
    private String status;

}
