package com.ruoyi.ehsLawEnforce.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行政执法台账对象 ehs_law_enforcement
 *
 * @author ruoyi
 * @date 2023-12-13
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_law_enforcement")
public class EhsLawEnforcement extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String enterpriseName;

    /**
     * 地址
     */
    @Excel(name = "地址")
    private String location;

    /**
     * 负责人
     */
    @Excel(name = "负责人")
    private String responsiblePerson;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String phone;

    /**
     * 存在隐患
     */
    @Excel(name = "存在隐患")
    private String risk;

    /**
     * 是否重大隐患
     */
    @Excel(name = "是否重大隐患")
    private String isLargeRisk;

    /**
     * 整改措施
     */
    @Excel(name = "整改措施")
    private String rectificationMeasure;

    /**
     * 整改责任人
     */
    @Excel(name = "整改责任人")
    private String rectificationPeople;

    /**
     * 企业类别
     */
    @Excel(name = "企业类别")
    private Integer enterpriseCategory;

    /**
     * 企业人数
     */
    @Excel(name = "企业人数")
    private Long employeeNum;

    /**
     * 是否建立双预防
     */
    @Excel(name = "是否建立双预防")
    private String isEstablishPrevention;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /**
     * 其他
     */
    @Excel(name = "其他")
    private String other;

    /**
     * 类别
     */
    @Excel(name = "类别")
    private Long classFirst;

}
