package com.ruoyi.ehsRisk.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 风险信息对象 ehs_risk
 *
 * @author ruoyi
 * @date 2023-12-13
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_risk")
public class EhsRisk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId(type= IdType.AUTO)
    private Long riskId;

    /** 风险点等级 */
    @Excel(name = "风险点等级")
    private Long riskGrade;

    /** 风险点类型 字典   */
    @Excel(name = "风险点类型 字典  ")
    private String reportAddressType;

    /** 风险点位置，用分号“;”分隔 */
    @Excel(name = "风险点位置，用分号“;”分隔")
    private String riskLocation;

    /** 风险点概况 */
    @Excel(name = "风险点概况")
    private String riskDesc;

    /** 涉及群众数量，用分号“;”分隔 */
    @Excel(name = "涉及群众数量，用分号“;”分隔")
    private String peopleQuantity;

    /** 抢险救援物资保障地点 */
    @Excel(name = "抢险救援物资保障地点")
    private String materialsAddr;

    /** 预备物资数量 */
    @Excel(name = "预备物资数量")
    private String materialsQuantity;

    /** 生活物资保障地点 */
    @Excel(name = "生活物资保障地点")
    private String lifeAddr;

    /** 人员转移安置点 */
    @Excel(name = "人员转移安置点")
    private String resettleAddr;

    /** 乡级责任人姓名 */
    @Excel(name = "乡级责任人姓名")
    private String villageName;

    /** 乡级责任人职务 */
    @Excel(name = "乡级责任人职务")
    private String villageDuties;

    /** 乡级责任人联系电话 */
    @Excel(name = "乡级责任人联系电话")
    private String villageTel;

    /** 村级责任人姓名 */
    @Excel(name = "村级责任人姓名")
    private String villageName1;

    /** 村级责任人职务 */
    @Excel(name = "村级责任人职务")
    private String villageDuties1;

    /** 村级责任人联系电话 */
    @Excel(name = "村级责任人联系电话")
    private String villageTel1;

    /** 巡查责任人姓名 */
    @Excel(name = "巡查责任人姓名")
    private String inspectionName;

    /** 巡查责任人职务 */
    @Excel(name = "巡查责任人职务")
    private String inspectionDuties;

    /** 巡查责任人电话 */
    @Excel(name = "巡查责任人电话")
    private String inspectionTel;



}
